<div class="row mb-3">
    <div class="col-12">
        <button class="btn btn-info" routerLink="">Volver</button>
    </div>
</div>
<div class="row">
    <div class="col-12">
        <form [formGroup]="user" (ngSubmit)="crearUsuario()" novalidate>
            <div class="form-group">
                <label>Documento</label>
                <input type="text" formControlName="documento" class="form-control" name="documento" id="documento"
                    required>
                <div class="error" *ngIf="user.get('documento').hasError('required') && 
                user.get('documento').touched">
                    El documento es requerido
                </div>
                <div class="error" *ngIf="user.get('documento').hasError('pattern') && 
                user.get('documento').touched">
                    El documento debe ser numerico
                </div>
                <div class="error" *ngIf="errors.documento ">
                    {{errors.documento[0]}}
                </div>
            </div>
            <div class="form-group">
                <label>Email</label>
                <input type="email" formControlName="email" name="email" id="email" class="form-control" required>
                <div class="error" *ngIf="user.get('email').hasError('required') && 
                user.get('email').touched">
                    El email es requerido
                </div>
                <div class="error" *ngIf="user.get('email').hasError('email') && 
                user.get('email').touched">
                    El email debe tener un formato valido
                </div>
                <div class="error" *ngIf="errors.email ">
                        {{errors.email[0]}}
                    </div>
            </div>
            <div class="form-group">
                <label>Nombres</label>
                <input type="text" formControlName="nombres" name="nombres" id="nombres" class="form-control" required>
                <div class="error" *ngIf="user.get('nombres').hasError('required') && 
                user.get('nombres').touched">
                    El campo nombre es requerido
                </div>
                <div class="error" *ngIf="errors.nombres ">
                        {{errors.nombres[0]}}
                    </div>
            </div>
            <div class="form-group">
                <label>Apellidos</label>
                <input type="text" formControlName="apellidos" name="apellidos" id="apellidos" class="form-control"
                    required>
                <div class="error" *ngIf="user.get('apellidos').hasError('required') && 
                user.get('apellidos').touched">
                    El campo apellidos es requerido
                </div>
                <div class="error" *ngIf="errors.apellidos ">
                        {{errors.apellidos[0]}}
                    </div>
            </div>
            <div class="form-group">
                <label>Telefono</label>
                <input type="text" formControlName="telefono" name="telefono" id="telefono" class="form-control"
                    required>
                <div class="error" *ngIf="user.get('telefono').hasError('required') && 
                user.get('telefono').touched">
                    El telefono es requerido
                </div>
                <div class="error" *ngIf="user.get('telefono').hasError('pattern') && 
                user.get('telefono').touched">
                    El telefono debe ser numerico
                </div>
                <div class="error" *ngIf="errors.telefono ">
                        {{errors.telefono[0]}}
                    </div>
            </div>
            <div class="form-group">
                <button type="submit" [disabled]="user.invalid" class="btn btn-success">Crear</button>
            </div>
        </form>
    </div>
</div>